from django.shortcuts import render
from django.http import HttpResponse
from . models import Questions
from django.core.paginator import Paginator
lst = []

answers = Questions.objects.all()
#print("hello"+str(answers))
anslist = []
marksList=[]
negative=[]
for i in answers:
    anslist.append(i.answer)
    marksList.append(i.marks)
    negative.append(i.negative)

def index(request):
    obj = Questions.objects.all()
    count = Questions.objects.all().count()
    paginator = Paginator(obj,1)
    try:
       page = int(request.GET.get('page','1'))  
    except:
        page =1
    try:
        questions = paginator.page(page)
    except Exception as e:

        questions=paginator.page(paginator.num_pages)
    
    return render(request,'index.html',{'obj':obj,'questions':questions,'count':count})
    '''
def index(request):
    pass
'''
def result(request):
    score =0
    for i in range(len(lst)):
        if lst[i]==anslist[i]:
        	score +=marksList[i]
        else:
            score-=negative[i]
    return render(request,'result.html',{'score':score,'lst':lst})
    
    
def save_ans(request):
    ans = request.GET['ans']
    lst.append(ans)
    
def student(request):
    lst.clear()
    return render(request,'student.html')

